
Redmine - Defect #19794

non Admins cannot list users through API

2015-05-08 14:01 - Suvrat Bhat

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.6.2

Description

I am creating the web plugin to post new issues from browser. When I use a non admins api key to set assignee while creating new

issue via the API I am not able to fetch the user list.

Please fix this , since this is one major defect

my ENV:

Environment:

Redmine version                2.6.2.stable

Ruby version                   1.9.3-p551 (2014-11-13) [x86_64-linux]

Rails version                  3.2.21

Environment                    production

Database adapter               Mysql2

Related issues:

Is duplicate of Redmine - Defect #7773: Only Redmine administrators can get u... New 2011-03-04

History

#1 - 2015-05-08 14:05 - Suvrat Bhat

- File API Response.PNG added

Also I am unable to list the custom fields. Attaching the response from API on the browser console

#2 - 2015-05-10 09:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

#3 - 2015-05-10 09:16 - Jean-Philippe Lang

- Is duplicate of Defect #7773: Only Redmine administrators can get users from REST API added

#4 - 2015-05-10 10:36 - Jean-Philippe Lang

BTW, non admin users can get the project members list via the REST API: Rest_Memberships. It's a better option for choosing the assignee, as it

returns users who belong to the project.

Files

API Response.PNG 11.7 KB 2015-05-08 Suvrat Bhat
